define([
    'handle',

    'ex',
    'order',
    'shopManager'
], function(handle, ex, order, shopManager) {

    var home_vm = new Vue({
        el: "#Home_Box_vm",
        data: {
            StoreData: {},
            TurnoverData: {},
            CurrAddress: "白云区万事达广场（从云港)",
        },
        methods: {

            getTheLocation: function() {
                var _self = this;

                    $.showPreloader();
                    setTimeout(function () {
                        $.hidePreloader();
                    },3000);
                var onSuccess = function(position) {
                    console.log('等待接入百度API转换参数: ' + '\n' +
                        'Latitude: ' + position.coords.latitude + '\n' +
                        'Longitude: ' + position.coords.longitude + '\n' +
                        'Altitude: ' + position.coords.altitude + '\n' +
                        'Accuracy: ' + position.coords.accuracy + '\n' +
                        'Altitude Accuracy: ' + position.coords.altitudeAccuracy + '\n' +
                        'Heading: ' + position.coords.heading + '\n' +
                        'Speed: ' + position.coords.speed + '\n' +
                        'Timestamp: ' + position.timestamp + '\n');

                    $.ajaxJSONP({
                        url: 'http://api.map.baidu.com/geoconv/v1/?coords=' + position.coords.longitude + ',' + position.coords.latitude + '&from=1&to=5&ak=yqMYpUrBC3uu4DGE5h0yn020&callback=?',
                        success: function(data) {
                            // getRandomLocation(data);
                            ex.setItem("location", data);
                            console.log("locationdata: " + JSON.stringify(data));
                            // console.log('long_baidu_self: '+(data.result[0].x- (Math.random()/100).toFixed(12))+'  lati_baidu_self: '+data.result[0].y);
                            var point = new BMap.Point(data.result[0].x, data.result[0].y);
                            var geoc = new BMap.Geocoder();
                            var pt = point;
                            geoc.getLocation(pt, function(rs) {
                                var addComp = rs.addressComponents;
                                console.log(addComp);
                                var tostreet_address = addComp.city + addComp.district + addComp.street + addComp.streetNumber;
                                console.log('tostreet_address: ' + tostreet_address);
                                // $("#RA_refreshAddress").text(tostreet_address);
                                _self.CurrAddress = tostreet_address;
                            });
                        }
                    });
                    $.hidePreloader();
                };

                function onError(error) {
                     $.hidePreloader();
                    console.log('code: ' + error.code + '\n' +
                        'message: ' + error.message + '\n');
                }

                navigator.geolocation.getCurrentPosition(onSuccess, onError);
            },
            GoToorderManage: function() {
                ex.IsHomeGoTo = true;
                order.Init_orderManager();
            },
            GoToShopManager: function() {
                ex.IsHomeGoTo = true;
                shopManager.Init_shopManager();
            },
            GoToIndividualAccount: function() {
                ex.IsHomeGoTo = true;
                InitindividualAccount();
            }



        },
    });

    var Inithome_vm = function() {
        var PersonData = JSON.parse(ex.getItem(ex.localStorageKey.PersonInfor));
        var uuid = PersonData.uuid;
        console.log(uuid);
        ex.post("Merchant/dpInfo", {
            "uuid": uuid
        }, function(Data) {
            if (Data.code == "0") {
                home_vm.StoreData = Data.data;
                var DATAstr = JSON.stringify(Data.data);
                ex.setItem(ex.localStorageKey.StoreData, DATAstr);
            }
        });

        var DATA = {
            "grant_type": ex.clientData.grant_type,
            "client_id": ex.clientData.client_id,
            "client_secret": ex.clientData.client_secret,
            "access_token": handle.getAccessToken(),
        }

        ex.post("User/get", DATA, function(Data) {
            if (Data.code == "0") {
                ex.setItem(ex.localStorageKey.PersonInfor, JSON.stringify(Data.data));
            } else {
                $.alert(data.msg);
            }
        });


        ex.post("Order/turnover", DATA, function(data_content) {
            handle.successCode(data_content, function(data) {
                home_vm.TurnoverData = data;
            });
        });
        Init_Withdrawal();
        Init_StoreManager();
    };
    var accountManage_vm = new Vue({
        el: "#accountManage_Box_vm",
        data: {

            headerImg: "",
            tel: "",
            Old_password: "",
            New_password: "",
            True_new_password: "",
        },
        methods: {
            TrueModifyPassword: function() {
                var DATA = {
                    "grant_type": ex.clientData.grant_type,
                    "client_id": ex.clientData.client_id,
                    "client_secret": ex.clientData.client_secret,
                    "access_token": handle.getAccessToken(),
                    "oldpassword": this.Old_password,
                    "newpassword1": this.New_password,
                    "newpassword2": this.True_new_password
                };
                console.log(ex.o2s(DATA));
                if (this.New_password == this.True_new_password) {
                    handle.postIndicator("User/resetPass", DATA, function(Data) {
                        if (Data.code == "0") {
                            $.alert("密码更改成功");
                            $.router.load("#login_page", true);
                        } else {
                            $.alert(Data.msg);
                        }
                    });

                } else {
                    $.alert("新密码设置不一致");
                }

            },

            takePicOption: function() {

                var _self = this;
                var takeHeadImg = function(is_camera) {
                    var _localimg = false;
                    var options = {
                        quality: 60,
                        destinationType: navigator.camera.DestinationType.FILE_URI,
                        allowEdit: false,
                        targetWidth: 620,
                        targetHeight: 400,
                        sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM,

                    };
                    if (is_camera) options.sourceType = Camera.PictureSourceType.CAMERA;
                    var getImgSuccess = function(imgurl) {
                        var theimg = new Array(); //定义一数组
                        theimg = imgurl.split("?"); //字符分割 ,直接走相机就没有BUG,否则就有这个BUG
                        console.log(theimg[0]);
                        _localimg = theimg[0];
                        saveImg_upload(_localimg, false)

                    };
                    $.toast("稍等...");
                    navigator.camera.getPicture(getImgSuccess, function(error) {
                        console.log(error);
                    }, options);

                };

                var saveImg_upload = function(file, nothumb) {
                    var _httpimg = false;
                    var is_thumb = "1"; //0为原图,1为缩略图
                    if (nothumb) is_thumb = 0;
                    var serverimgURL = 'http://app.xiaoshiyi.com.cn/';
                    var serverimgURL = ex.config.url;
                    var options = new FileUploadOptions();
                    options.fileKey = "avatar";
                    options.fileName = file.substr(file.lastIndexOf('/') + 1);
                    options.mimeType = "image/jpeg";
                    var params = {};
                    params.is_thumb = is_thumb;
                    options.params = params;
                    var ft = new FileTransfer();
                    ft.upload(file, encodeURI(serverimgURL + 'Public/imgToUrl'), function(data) {
                        // console.log(JSON.stringify(data));
                        _httpimg = JSON.parse(data.response).url;

                        console.log("_httpimg : " + _httpimg);
                        // ex.setItem("heading");
                        _self.headerImg = _httpimg;

                        $.confirm('是否将新头像更新到服务器?',
                            function() {

                                var DATA = {
                                    "grant_type": ex.clientData.grant_type,
                                    "client_id": ex.clientData.client_id,
                                    "client_secret": ex.clientData.client_secret,
                                    "access_token": handle.getAccessToken(),
                                    "imgurl": _self.headerImg
                                };
                                ex.post("User/xgtx", DATA, function(s) {
                                    if (s.code == "0") {
                                        PersonData.headimgurl = _self.headerImg;
                                        $.toast('更新成功');
                                    }
                                }, function(e) {
                                    $.toast('更新失败: ' + e);
                                    console.log(e);
                                });
                            },
                            function() {
                                $.alert('取消更新');
                            }
                        );

                    }, function() {
                        console.log("图片上传失败");
                    }, options);

                };
                ex.showPhotoChoose(takeHeadImg);

            }
        },


    });
    var accountManage_main = function() {
        accountManage_vm.Old_password = "";
        accountManage_vm.New_password = "";
        accountManage_vm.True_new_password = "";
        accountManage_vm.tel = "";
        if (ex.getItem(ex.localStorageKey.PersonInfor)) {
            var PersonData = JSON.parse(ex.getItem(ex.localStorageKey.PersonInfor));
            accountManage_vm.headerImg = PersonData.headimgurl;
            accountManage_vm.tel = PersonData.username;
        }

        $("#accountManage_page").off().on('click', '.accountManageNav', function() {
            var buttons1 = [{
                    text: '是否退出账号',
                    label: true
                }, {
                    text: '退出',
                    bold: true,
                    color: 'danger',
                    onClick: function() {
                        ex.delItem(ex.localStorageKey.loginAjaxDataKey);
                        $.router.load("#login_page", true);
                    }
                }

            ];
            var buttons2 = [{
                text: '取消',

            }];
            var groups = [buttons1, buttons2];
            $.actions(groups);
        });

    };
    var InitindividualAccount_vm = null;
    var InitindividualAccount = function() {
        if (!InitindividualAccount_vm) {
            InitindividualAccount_vm = new Vue({
                el: "#individualAccount_page",
                data: {
                    balance: 0,

                    inforData: [],
                    showInforData: [],

                },
                methods: {

                },
            });
        }

        if (ex.IsHomeGoTo) {
            var DATA = {
                "grant_type": ex.clientData.grant_type,
                "client_id": ex.clientData.client_id,
                "client_secret": ex.clientData.client_secret,
                "access_token": handle.getAccessToken(),
            };
            ex.IsHomeGoTo = false;
            refreshIndividual(DATA, false);
        }
    }
    var individualAccountMain = function() {

            var DATA = {
                "grant_type": ex.clientData.grant_type,
                "client_id": ex.clientData.client_id,
                "client_secret": ex.clientData.client_secret,
                "access_token": handle.getAccessToken(),
            };
            InitindividualAccount();
            if (!ex.IsHomeGoTo) {
                ex.post("Merchant/balance", DATA, function(_data) {
                    handle.successCode(_data, function(data) {
                        InitindividualAccount_vm.balance = data.wallet_balance;
                    })
                });
                ex.post("Merchant/szinfo", DATA, function(_data) {

                    handle.successCode(_data, function(data) {
                        InitindividualAccount_vm.inforData = data;
                        InitindividualAccount_vm.showInforData = Init_show_order_Fuc(InitindividualAccount_vm.showInforData, InitindividualAccount_vm.inforData);
                        infinite_Scroll_func(InitindividualAccount_vm.showInforData, InitindividualAccount_vm.inforData);
                    })
                });
            }
            ex.IsHomeGoTo = false;
            $("#individualAccount_page").off('refresh').on('refresh', '.individualAccount_.pull-to-refresh-content', function(e) {
                refreshIndividual(DATA, true);
            });
        }
        //下拉刷新
    var refreshIndividual = function(DATA, Is) {
        if (!Is) {
            $.showIndicator();
        }
        ex.post("Merchant/szinfo", DATA, function(_data) {
            if (Is) {
                $.pullToRefreshDone('.individualAccount_.pull-to-refresh-content');
            } else {
                $.hideIndicator();
            }

            handle.successCode(_data, function(data) {
                InitindividualAccount_vm.inforData = data;
                InitindividualAccount_vm.showInforData = Init_show_order_Fuc(InitindividualAccount_vm.showInforData, InitindividualAccount_vm.inforData);
                infinite_Scroll_func(InitindividualAccount_vm.showInforData, InitindividualAccount_vm.inforData);
                if (!Is) {
                    $.router.load('#individualAccount_page', true);
                }

            });
            if (_data.code == "-1") {
                $.alert(_data.msg);
            }
        }, function() {
            if (Is) {
                $.pullToRefreshDone('.individualAccount_.pull-to-refresh-content');
            } else {
                $.hideIndicator();
                ex.IsHomeGoTo = false;
            }

        });
    };
    //无限滚动
    var Item_count = 10;
    //初始化展示的
    var Init_show_order_Fuc = function(Show, All) {

        if (All.length <= Item_count) {
            Show = All;
            $('.individualAccount_ .infinite-scroll-preloader').addClass("noactive");
        } else {
            Show = All.slice(0, Item_count);
        }

        return Show;
    };
    var infinite_Scroll_func = function(showArr, allArr) {
        if (showArr.length < allArr.length) {
            $('.individualAccount_ .infinite-scroll-preloader').removeClass("noactive");
        }

        console.log("cancelTest");
        $("#individualAccount_page").off('infinite').on('infinite', '.individualAccount_.infinite-scroll-bottom', function() {

            console.log("cancelTest_OnClick");
            if (showArr.length >= allArr.length) {
                $('.individualAccount_ .infinite-scroll-preloader').addClass("noactive");
                return;
            }
            var number = showArr.length + Item_count - 1;
            for (var index = showArr.length; index < allArr.length; index++) {
                if (index > number) {
                    break;
                }
                showArr.push(allArr[index]);
            }
        });

    };
    //提现

    var Withdrawal_vm = null;
    var Init_Withdrawal = function() {
        if (!Withdrawal_vm) {
            Withdrawal_vm = new Vue({
                el: "#individualAccount-2_page",
                data: {
                    balance: 0,
                    inforData: "",
                    input_Withdrawal: "",
                },
                methods: {
                    Btn_Withdrawal: function(event) {
                        var _self = this;
                        var reg = /^([1-9][\d]{0,7}|0)(\.[\d]{1,2})?$/;

                        if (!reg.test(this.input_Withdrawal)||parseFloat(this.input_Withdrawal)<0.01) {
                            $.alert('请输入正确的金额！');
                            return;
                        }
                        var Balance = parseFloat(this.balance);
                        var Withdrawal = parseFloat(this.input_Withdrawal);
                        if (Balance < Withdrawal) {
                            $.alert('余额不足！');
                            return;
                        }
                        $.confirm('确认提现' + this.input_Withdrawal + '?', function() {
                            var DATA = {
                                "grant_type": ex.clientData.grant_type,
                                "client_id": ex.clientData.client_id,
                                "client_secret": ex.clientData.client_secret,
                                "access_token": handle.getAccessToken(),
                                "money": _self.input_Withdrawal,
                            };
                            ex.post("Merchant/dptx", DATA, function(_data) {
                                handle.successCode(_data, function(data) {
                                    $.alert("申请提现成功！");
                                    _self.balance = (Balance - Withdrawal).toFixed(2);
                                    _self.input_Withdrawal = '';

                                });
                                if(_data.code !='0'){
                                    $.alert(_data.msg);
                                }
                            });
                        });
                    }
                },
            });
        }
        Withdrawal_vm.input_Withdrawal = '';
    };
    var Withdrawal_main = function() {
        Init_Withdrawal();

        var DATA = {
            "grant_type": ex.clientData.grant_type,
            "client_id": ex.clientData.client_id,
            "client_secret": ex.clientData.client_secret,
            "access_token": handle.getAccessToken(),
        };
        ex.post("Merchant/balance", DATA, function(_data) {
            handle.successCode(_data, function(data) {
                Withdrawal_vm.balance = data.wallet_balance;
                console.log(data.wallet_balance);
            })
        });
        var PersonData = JSON.parse(ex.getItem(ex.localStorageKey.PersonInfor));
        var uuid = PersonData.uuid;
        ex.post("Merchant/dpinfo2", {
            "grant_type": ex.clientData.grant_type,
            "client_id": ex.clientData.client_id,
            "client_secret": ex.clientData.client_secret,
            "access_token": handle.getAccessToken(),
            "uuid": uuid
        }, function(Data) {
            if (Data.code == "0") {
                Withdrawal_vm.inforData = Data.data;

            }
        });


    };
    var StoreManager_vm = null;
    var Init_StoreManager = function() {
        if (!StoreManager_vm) {
            StoreManager_vm = new Vue({
                el: "#storeManager_Box_vm",
                data: {
                    storeName: "",
                    Address: "",
                    telphone: "",
                    sendTel: "",
                    time: "",
                    time_0:"",
                    time_1:"",
                    startingPrice: "",
    
                    lanlai: "",
                    //测试用
                    imgArr: {
                        0: "",
                        1: "",
                        2: ""
                    }
                },
                methods: {
                    takeShopPic: function(index) {

                        var _self = this;
                        var takeHeadImg = function(is_camera) {
                            var _localimg = false;
                            var options = {
                                quality: 60,
                                destinationType: navigator.camera.DestinationType.FILE_URI,
                                allowEdit: false,
                                targetWidth: 620,
                                targetHeight: 400,
                                sourceType: Camera.PictureSourceType.SAVEDPHOTOALBUM,

                            };
                            if (is_camera) options.sourceType = Camera.PictureSourceType.CAMERA;
                            var getImgSuccess = function(imgurl) {
                                var theimg = new Array(); //定义一数组
                                theimg = imgurl.split("?"); //字符分割 ,直接走相机就没有BUG,否则就有这个BUG
                                console.log(theimg[0]);
                                _localimg = theimg[0];
                                saveImg_upload(_localimg, false)

                            };
                            $.toast("稍等...");
                            navigator.camera.getPicture(getImgSuccess, function(error) {
                                console.log(error);
                            }, options);

                        };

                        var saveImg_upload = function(file, nothumb) {
                            var _httpimg = false;
                            var is_thumb = "1"; //0为原图,1为缩略图
                            if (nothumb) is_thumb = 0;
                            var serverimgURL = 'http://app.xiaoshiyi.com.cn/';
                            var serverimgURL = ex.config.url;
                            var options = new FileUploadOptions();
                            options.fileKey = "avatar";
                            options.fileName = file.substr(file.lastIndexOf('/') + 1);
                            options.mimeType = "image/jpeg";
                            var params = {};
                            params.is_thumb = is_thumb;
                            options.params = params;
                            var ft = new FileTransfer();
                            ft.upload(file, encodeURI(serverimgURL + 'Public/imgToUrl'), function(data) {
                                // console.log(JSON.stringify(data));
                                _httpimg = JSON.parse(data.response).url;

                                console.log("_httpimg : " + _httpimg);
                                // ex.setItem("heading");
                                // 赋值给
                                // vue
                                _self.imgArr[index] = _httpimg;

                                console.log(index + "----------" + _self.imgArr);
                                $.alert("照片已修改,请保存");

                            }, function() {
                                console.log("图片上传失败");
                            }, options);

                        };
                        ex.showPhotoChoose(takeHeadImg);
                    },
                    Onclicksubmit: function(event) {
                        var _self = this;
                          _self.time = _self.time_0+','+_self.time_1;
                        $.showIndicator();

                        $.ajaxJSONP({
                            url: 'http://api.map.baidu.com/geocoder/v2/?address=' + $("#storeAddress").val() + '&output=json&ak=yqMYpUrBC3uu4DGE5h0yn020&callback=?',
                            success: function(data) {
                                $.hideIndicator();
                                console.log($("#storeAddress").val());
                                console.log(JSON.stringify(data));
                                if (data.status !== 0) {
                                    $.alert("地址信息错误: " + data.msg);
                                    return false;
                                } else {
                                    _self.lanlai = data.result;
                                    var DATA = {
                                        "grant_type": ex.clientData.grant_type,
                                        "client_id": ex.clientData.client_id,
                                        "client_secret": ex.clientData.client_secret,
                                        "access_token": handle.getAccessToken(),
                                        "longitude": data.result.location.lng,
                                        "latitude": data.result.location.lat

                                    };
                                    ex.post("Merchant/dpsc", DATA, function(_data) {
                                        console.log(JSON.stringify(_data));									
                                    });

                                    submitStoreManager(_self);

                                }
                                // searchWithCoordinate(data.result.location.lng,data.result.location.lat);
                            }

                        });


                    }
                },
            });
        }
        StoreManager_vm.storeName = "";
        StoreManager_vm.Address = "";
        StoreManager_vm.telphone = "";
        StoreManager_vm.sendTel = "";
        StoreManager_vm.time = "";
        StoreManager_vm.startingPrice = "";
        StoreManager_vm.imgArr = {
            0: "",
            1: "",
            2: ""
        };


    };
    var getStoreData = function(inforData) {
        var telArr = inforData.telephone.split(",");
        StoreManager_vm.storeName = inforData.dp_name;
        StoreManager_vm.Address = inforData.dp_address;

        StoreManager_vm.telphone = telArr[0];
        if (telArr.length > 1) {
            StoreManager_vm.sendTel = telArr[1];
        }
        var timeArr = inforData.dp_opentime.split(",");
         StoreManager_vm.time = inforData.dp_opentime;
        StoreManager_vm.time_0 = timeArr[0];
        StoreManager_vm.time_1 = timeArr[1];
        setPickerValue('#Opentime_0', StoreManager_vm.time_0,false);
        setPickerValue('#Opentime_2', StoreManager_vm.time_1,true);
        StoreManager_vm.startingPrice = inforData.dp_sprice;
        if (inforData.img.length > 0) {
            var ImgArr = inforData.img.split(",");
            for (var index = 0; index < ImgArr.length; index++) {
                if (index > 2) {
                    break;
                }
                StoreManager_vm.imgArr[index] = ImgArr[index];
            }
            //  StoreManager_vm.imgArr = inforData.img.split(",");
        }

    }
    var storeManager_main = function() {
        Init_StoreManager();
        if (ex.getItem(ex.localStorageKey.StoreData)) {
            var inforData = JSON.parse(ex.getItem(ex.localStorageKey.StoreData));
            getStoreData(inforData);
        } else {
            var PersonData = JSON.parse(ex.getItem(ex.localStorageKey.PersonInfor));
            var uuid = PersonData.uuid;
            ex.post("Merchant/dpInfo", {
                "uuid": uuid
            }, function(Data) {
                if (Data.code == "0") {
                    if (Data.data) {
                        getStoreData(Data.data);
                    }

                }
            });
        }
     
    };
    var submitStoreManager = function(vm) {
        var IMGStr = '';
        //  vm.imgArr.join(",");
        for (var item in vm.imgArr) {
            IMGStr += vm.imgArr[item] + ',';
        }
        IMGStr = IMGStr.slice(0, -1);
        var TEL = vm.telphone + "," + vm.sendTel;
        var Data = {
            "grant_type": ex.clientData.grant_type,
            "client_id": ex.clientData.client_id,
            "client_secret": ex.clientData.client_secret,
            "access_token": handle.getAccessToken(),
            "dp_name": vm.storeName,
            "dp_sprice": vm.startingPrice,
            "dp_address": vm.Address,
            "telephone": TEL,
            "dp_opentime": vm.time,
            "img": IMGStr
        }
        console.log(Data.dp_sprice);
        var reg = /^(\d{3})\d{4}(\d{4})$/;
        if (!reg.test(vm.telphone) || !reg.test(vm.sendTel)) {
            $.alert("手机号码填写错误！");

            return;
        }
        handle.postIndicator("Merchant/modifyShop", Data, function(DATA) {
            handle.successCode(DATA, function(data) {
                $.alert("店铺信息提交成功！", function() {
                    $.router.load("#home_page", true);
                });
            });
            if (DATA.code == "-1") {
                $.alert(DATA.msg);
            }
        });
    }
    var IssetOpenPicker = false;
  var setOpenPicker = function(id,newArr,Is) {
      if(IssetOpenPicker)
      return;
     if(Is){
          IssetOpenPicker = true;
     }
  
            var hoursArr = [];
            var secondArr = [];
            for (var i=0;i<24;i++){
                if(i<10){
                    hoursArr.push('0'+i);
                }else{
                    hoursArr.push(i.toString());
                }
            }
            for(var i=0;i<2;i++){
                if(i<1){
                   secondArr.push('0'+i); 
                }else{
                    secondArr.push('30');
                }
            }
           
            var colsArr = [];
               
            for(var i=0;i<2;i++){
               var list = [{ 
              textAlign: 'center',
                values: hoursArr.slice()
            },
            { 
              textAlign: 'center',
                values: ':'
            },
            {
                textAlign: 'center',
                values: secondArr.slice()
                },
            { 
              textAlign: 'center',
                values: '-'
            },{ 
              textAlign: 'center',
                values: ','
            },
                ];
             colsArr.push(list[0]); 
               colsArr.push(list[1]);
                 colsArr.push(list[2]);
            //      if(i == 1){
            //   colsArr.push(list[4]);
            //      }else if(i != 3){
                if(i !=1){
    colsArr.push(list[3]);
                }
           
                //  }
              
               
            }
            if(!IssetOpenPicker){
                 $(id).picker({
            toolbarTemplate: '<header class="labelHeader bar bar-nav">\
  <button class="button button-link pull-right close-picker">确定</button>\
  <h1 class="title">请选择第一段营业时间</h1>\
  </header>',
            cols: colsArr,
            value:newArr,
            // cssClass:'storePick',
             formatValue: function(p, values, displayValues) {
                 var str = '';
                 for(var i in values){
                     str +=values[i];
                 }
            return str;
        },

        });
            }else{
      $(id).picker({
            toolbarTemplate: '<header class="labelHeader bar bar-nav">\
  <button class="button button-link pull-right close-picker">确定</button>\
  <h1 class="title">请选择第二段营业时间</h1>\
  </header>',
            cols: colsArr,
            value:newArr,
            // cssClass:'storePick',
             formatValue: function(p, values, displayValues) {
                 var str = '';
                 for(var i in values){
                     str +=values[i];
                 }
            return str;
        },

        });
            }
      
    };
    var setPickerValue= function(id,_value,Is){
  
         var arr = _value.split(/,|-|:/);
         var newArr = [];
          for(var i in arr){
              if(i%2 == 0){
                newArr.push(arr[i]);
                newArr.push(':'); 
              }else if(i == 1){
                  newArr.push(arr[i]);
                   newArr.push('-');
              }else{
                   newArr.push(arr[i]);
              }
          }
          
            setOpenPicker(id,newArr,Is);
   
    }
    return {
        Inithome_vm: Inithome_vm,
        accountManage_main: accountManage_main,
        individualAccountMain: individualAccountMain,
        Withdrawal_main: Withdrawal_main,
        storeManager_main: storeManager_main,

    }

});